Subject: Re: Updating to B20.1
From: [email-masked] (Kai Ruottu)

18 Dec 1998 12:53:32 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7BIT
To: [email-masked]
Cc: [email-masked]

> Earnie Boyd <[email-masked]> wrote:
>
> ---Geoffrey Noer <[email-masked]> wrote:
> >
> > On Wed, Dec 16, 1998 at 07:09:48PM -0800, Earnie Boyd wrote:
> > [...]
> > > However, your application must not call a dll that is dependant on
> > > the cygwin1.dll.  You must use either cygwinb19.dll or cygwin1.dll not
> > > both in the same process tree.
> > 
> > I don't think this is the case.  The same shared memory area would be
> > used by both DLLs even though they're named differently so you
> > shouldn't have any problems at all.  This didn't used to be the case
> > in the original cygwinb19.dll but if you just have two identical
> > copies named two different things this wouldn't be an issue.
> 
> The instance I had was the gdbtk from b19 and the cygwin1.dll from
> b20.0.  I haven't tried it since b20.1; but in b20.0 it gave a SIGSEGV
> error.

 I think this could be because of :

  1. using the b20 tcl/tk DLLs with b19 gdbtk
or
  2. using the b20 tix etc. stuff with b19 gdbtk

not from cygwin1.dll and cygwinb19.dll being in the same system. But
I have tried my b19 gdb (4.17, not the 4.16.x coming with b19) for debugging
only some simple b20 programs.

BTW, I built a b20 version gdbtk from gdb-981029 snapshot using the b19
'gdbtk.c' and linking with b20 tcl/tk libs... Seems to work...

 All my other gdbtk's (10 or so) are b19-based, so sticking in b19 tcl/tk DLLs 
and scripts is necessary for me, until I have rebuilt them all... Hmmm... A
gdb-4.17.1-b20.1 gdbtk release to ftp.franken.de, anyone interested ? (Or is
there already one ?)

Cheers, Kai
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".